SNMPGETNEXT(1)

NAME
snmpgetnext - communicates with a network entity using SNMP GET NEXT Requests.

SYNOPSIS
snmpgetnext [ common arguments ] objectID [objectID]...

DESCRIPTION
Snmpget is an SNMP application that uses the GET NEXT Request to query for information on a network entity. One or more object identifiers may be given as arguments on the command line. Each variable name is given in the format specified in variables(5). For each one, the variable that is lexicographicly "next" in the remote entity's MIB will be returned.

For example

snmpgetnext zeus public interfaces.ifTable.ifEntry.ifType.1

will retrieve the variable interfaces.ifTable.ifEntry.ifType.2:

interfaces.ifTable.ifEntry.ifType.2 = softwareLoopback(24)

If the network entity has an error processing the request packet, an error message will be shown, helping to pinpoint in what way the request was malformed.

SEE ALSO
snmpcmd(1), variables(5).